Keysight N5411B SATA6G Compliance Test Application Online Help

Version 01.83.0000

© Keysight Technologies 2005-2016

Warranty
Technology License
Restricted Rights Legend
Safety Notices
Trademarks

March 2016

Table of Contents

SATA6G Compliance Test Application—At a Glance
Installing the SATA6G Compliance Test Application
Installing the Software
Installing the License Key
Preparing to Take Measurements
Required Equipment and Software
Calibrating the Oscilloscope
Using the SATA6G Compliance Test Application
Starting the SATA6G Compliance Test Application
To view/minimize the task flow pane
To view/hide the toolbar
Creating or Opening a Test Project
To set load preferences
Setting Up the Test Environment
Device Under Test (DUT)
Automation
Configure Devices
Establishing Connectivity
Calibration
BIST mode automation (for N4903 JBERT)
Stimulus Remote Setup
81134A Pulse Pattern Generator
N4903B High Performance Serial BERT (J-BERT)
M8020A High Performance BERT (J-BERT)
Selecting Tests
Configuring Tests
Compliance Limits
To Activate/Refresh Limit Set
To Create/Edit Limit Set
Connecting the Oscilloscope to the DUT
Running Tests
To select the Store Mode
To run multiple times
To send email on pauses or stops
To pause or stop on events
To specify the event
To set the display preferences
To set the run preferences
Automating the Application
Script Mode
Using the command generator in Automation
Files Mode
Execution
Settings Status
Command Line
Viewing Results
To delete trials from the results
To show reference images and flash mask hits
To change margin thresholds
To change the test display order
To set trial display preferences
Viewing/Exporting/Printing the Report
To export the report
To print the report
To set HTML Report preferences
Understanding the Report
Summary of Results
Report Detail
Saving Test Projects
To set AutoRecovery preferences
User Defined Add-Ins
To install an add-in
To remove an add-in
Controlling the Application via a Remote PC
To check for the App Remote license
To identify the remote interface version
To enable the remote interface
To enable remote interface hints
Calibrating the Oscilloscope
Channel-to-Channel De-skew
INF_SMA_Deskew.set Setup File Details
Using a Second Monitor

N5411B SATA6G Compliance Test Application

Online Help


SATA6G Test Compliance Application—At a Glance

Keysight N5411B SATA6G Compliance Test Application Online Help

SATA6G Compliance Test Application—At a Glance

The Keysight N5411B SATA6G Compliance Test Application for SATA (Serial ATA) provides a framework for using Keysight Infiniium oscilloscopes to perform compliance testing. The automated test application guides you through the process of identifying the test environment, selecting and configuring tests, making oscilloscope connections, running tests, and evaluating the test results.

To use the automated test application, see:

  • Installing the SATA6G Compliance Test Application

  • Preparing to Take Measurements

  • Using the SATA6G Compliance Test Application

For advanced features, see:

  • User Defined Add-Ins

  • Controlling the Application via a Remote PC

To use the automated test application, see:

  • Starting the SATA6G Compliance Test Application

    • To view/minimize the task flow pane
    • To view/hide the toolbar

  • Creating or Opening a Test Project

    • To set load preferences

  • Acquisition Setup

  • Setting Up InfiniiSim

    • 2 Port setting

    • 4 Port setting

  • Setting Up the Precision Probe/Cable

  • Setting Up the Test Environment

    • Device Under Test (DUT)

    • Automation

    • Configure Devices

      • Establishing Connectivity

      • Calibration

      • BIST mode automation (for N4903 JBERT)

    • Stimulus Remote Setup

      • 81134A Pulse Pattern Generator

      • N4903B High Performance Serial BERT (J-BERT)

      • M8020A High Performance BERT (J-BERT)

  • Selecting Tests

  • Configuring Tests

    • Compliance Limits

      • To Activate/Refresh Limit Set

      • To Create/Edit Limit Set

  • Connecting the Oscilloscope to the DUT

  • Running Tests

    • To select the Store Mode

    • To run multiple times

    • To send email on pauses or stops

    • To pause or stop on events

    • To specify the event

    • To set the display preferences

    • To set the run preferences

  • Automating the Application

    • Script Mode

      • Using the command generator in Automation

    • Files Mode

    • Execution

    • Settings Status

    • Command Line

  • Viewing Results

    • To delete trials from the results

    • To show reference images and flash mask hits

    • To change margin thresholds

    • To change the test display order

    • To set the Trial Display preferences

  • Viewing/Exporting/Printing the Report

    • To export the report

      • To export results in CSV (comma-separated value) format

      • To export the result in HTML format

    • To print the report

    • To set HTML Report preferences

  • Understanding the Report

    • Summary of Results

    • Report Detail

  • Saving Test Projects

    • To set AutoRecovery preferences

See Also

For more information on performing SATA6G compliance tests, see:

  • SATA-IO 6G PHY Specification

  • Serial ATA International Organization web site


Installing the SATA6G Compliance Test Application

Keysight N5411B SATA6G Compliance Test Application Online Help

Installing the SATA6G Compliance Test Application

If you purchase the N5411B SATA6G Compliance Test Application separately from your oscilloscope, you must install the software and license key.

· Installing the Software

· Installing the License Key


Installing the Software

Installing the SATA6G Compliance Test Application

Installing the Software

  1. Make sure you have the required version of Infiniium oscilloscope software:

    1. See the compliance test application release notes for the required minimum version of software.

    2. To check the software version on the oscilloscope, choose Help>About Infiniium... from the main menu

  2. Download the N5411B SATA6G Compliance Test Application from the Keysight website:

    1. Go to http://www.keysight.com/find/scope-apps-sw, and navigate to the N5411B SATA6G Compliance Test Application software download.

    2. Follow the instructions to download and install the application software.


Installing the License Key

Installing the SATA6G Compliance Test Application

Installing the License Key

  1. Request a license code from Keysight by following the instructions on the Entitlement Certificate.

    You will need the oscilloscope's "Option ID Number", which you can find in the Help>About Infiniium... dialog.

  2. After you receive your license code from Keysight, choose Utilities>Install Legacy Licenses....

  3. In the Install Option License dialog, enter your license code and click Install License.

  4. Click OK in the dialog that tells you to restart the Infiniium oscilloscope application software to complete the license installation.

  5. Click Close to close the Install Option License dialog.

  6. Choose File>Exit.

  7. Restart the Infiniium oscilloscope application software to complete the license installation.


Preparing to Take Measurements

Keysight N5411B SATA6G Compliance Test Application Online Help

Preparing to Take Measurements

Before running the automated tests, you must acquire the required equipment and software. Also, you should calibrate the oscilloscope. After the oscilloscope has been calibrated, you are ready to launch the SATA6G Compliance Test Application and perform measurements.

· Required Equipment and Software

· Calibrating the Oscilloscope


Required Equipment and Software

In order to run the SATA6G Compliance Test Application, you require the following equipment and software:

· The minimum version of Infiniium oscilloscope software described in the compliance test application's release notes.

· The equipment and software listed in the data sheet's "Ordering Information" section (see [image] N5411B SATA 6Gb/s Compliance Test Software Data Sheet).

· Licenses are also required for these software options:

· N5400A EZJIT Plus Jitter Analysis Software Option.

· E2688A Serial Data Analysis/Mask Testing with Clock Recovery Software Option.

· Keysight also recommends using a second monitor to view the automated test application.

· Before performing tests, calibrate the oscilloscope.


Calibrating the Oscilloscope

If you have not already calibrated the oscilloscope, see Calibrating the Oscilloscope.

Note

  • If the ambient temperature changes more than 5 degrees Celsius from the calibration temperature, internal calibration should be performed again. The delta between the calibration temperature and the present operating temperature is shown in the Utilities>Calibration menu.

  • If you switch cables between channels or other oscilloscopes, it is necessary to perform cable and probe calibration again. Keysight recommends that, once calibration is performed, you label the cables with the channel for which they were calibrated.


Using the SATA6G Compliance Test Application

Keysight N5411B SATA6G Compliance Test Application Online Help

Using the SATA6G Compliance Test Application

Starting the SATA6G Compliance Test Application

To view/minimize the task flow pane
To view/hide the toolbar

Creating or Opening a Test Project

To set load preferences

Acquisition Setup

Setting Up InfiniiSim

2 Port setting

4 Port setting

Setting Up the Precision Probe/Cable

Setting Up the Test Environment

Device Under Test (DUT)

Automation

Configure Devices

Establishing Connectivity

Calibration

BIST mode automation (for N4903 JBERT)

Stimulus Remote Setup

81134A Pulse Pattern Generator

N4903B High Performance Serial BERT (J-BERT)

M8020A High Performance BERT (J-BERT)

Selecting Tests

Configuring Tests

Compliance Limits

To Activate/Refresh Limit Set

To Create/Edit Limit Set

Connecting the Oscilloscope to the DUT

Running Tests

To select the Store Mode
To run multiple times
To send email on pauses or stops
To pause or stop on events
To specify the event
To set the display preferences
To set the run preferences

Automating the Application

Script Mode

Using the command generator in Automation

Files Mode

Execution

Settings Status

Command Line

Viewing Results

To delete trials from the results
To show reference images and flash mask hits
To change margin thresholds
To change the test display order
To set the Trial Display preferences

Viewing/Exporting/Printing the Report

To export the report
To export results in CSV (comma-separated value) format
To export the report in HTML format
To print the report
To set HTML Report preferences

Understanding the Report

Summary of Results

Report Detail

Saving Test Projects

To set AutoRecovery preferences

This chapter shows how to use the SATA6G Compliance Test Application.


Starting the SATA6G Compliance Test Application

Using the SATA6G Compliance Test Application

Starting the SATA6G Compliance Test Application

  1. From the Infiniium oscilloscope's main menu, choose Analyze>Automated Test Apps>N5411B SATA6G Test App.

  2. The SATA6G Compliance Test Application window appears.

Note

If N5411B SATA6G Test App does not appear in the Automated Test Apps menu, the SATA6G Compliance Test Application has not been installed. See Installing the SATA6G Compliance Test Application to know about how to install the test application..

The following table gives you a summary of the functionality of each tab in the SATA6G Compliance Test Application:

Test Application Tabs | Functionality
Setup | Lets you identify the test environment.
Select Tests | Lets you select the tests you want to run. The tests are organized hierarchically so you can select all tests in a group. After tests are run, status indicators show which tests have passed, failed, or not been run, and there are indicators for the test groups.
Configure | Lets you configure the test parameters (for example, stimulus frequency).
Connect | Shows you how to connect the oscilloscope to the device under test for the tests that are to be run.
Run Tests | Starts the automated tests. If the connections to the device under test need to be changed while multiple tests are running, the tests pause, show you how to change the connection, and wait for you to confirm that the connections have been changed before continuing.
Results | Contains more detailed information about the tests that have been run. You can change the thresholds at which marginal or critical warnings appear.
Html Report | Shows a compliance test report that can be printed.

See Also

· To view/minimize the task flow pane

· To view/hide the toolbar

Next

· Creating or Opening a Test Project


To view/minimize the task flow pane

Starting the SATA6G Test Compliance Application

To view/minimize the task flow pane

  • To toggle between a minimized and restored task flow pane, choose View>Task Flow from the SATA6G Compliance Test Application's main menu.

  • To minimize the task flow pane, click the minimize button in the pane.

  • To restore a minimized task flow pane, click the [image] button in the pane.


To view/hide the toolbar

Starting the SATA6G Test Compliance Application

To view/hide the toolbar

  • To toggle between a hidden and visible toolbar, click View>Toolbar from the SATA6G Compliance Test Application's main menu.


Creating or Opening a Test Project

Using the SATA6G Compliance Test Application

Creating or Opening a Test Project

To create a new test project:

  1. Choose File>New Project... from the SATA6G Compliance Test Application's main menu.

A new, empty project, with all the default settings is created. If you create a new project again, the Start New Project window appears where you may choose to retain some of the pre-configured settings of the tool.

To open an existing test project:

  1. Choose File>Open Project... from the menu.

  2. In the Open dialog box, browse to a test project directory and select the desired *.proj file.

  3. Click Open.

See Also

· To set load preferences

Next

· Setting Up the Test Environment


To set load preferences

Creating or Opening a Test Project

To set load preferences

  1. From the SATA6G Compliance Test Application's main menu, choose View>Preferences....

  2. In the Preferences dialog, click the Save/Load tab.

  3. In the Save/Load tab, you can choose to restore saved test selections when loading a project.

  4. Click Apply to save the changes and click OK to close the Preferences dialog.


Acquisition Setup

Using the SATA6G Compliance Test Application

Acquisition Setup

To limit/configure the bandwidth of the oscilloscope to a certain level of frequency when running compliance tests for SATA6G, use the Acquisition Setup... feature.

· From the SATA6G Compliance Test Application's main menu, click Tools>Infiniium>Acquisition Setup....

The Acquisition Setup dialog displays.

· In the Bandwidth Limit area, click the Enable check-box to configure the bandwidth limit of the oscilloscope.

[Caution]

Clicking Enable may cause measurements on the oscilloscope to immediately start recalculating. You must update the Infiniium Software to the latest version to avoid this effect.

· Type a value or use the [image] scroll buttons to increase/decrease the bandwidth (in GHz). By default, the application displays 1.0 GHz, which is the minimum bandwidth limit that can be configured.

· Click OK to save the changes and return to the test environment or click Cancel to discard the changes and return to the test environment. You may click Reset if you want to reset the settings for Acquisition Setup.


Setting Up InfiniiSim

Using the SATA6G Compliance Test Application

Setting Up InfiniiSim

Note

The InfiniiSim setup feature is only accessible from the SATA6G Compliance Test Application if it is currently licensed on the oscilloscope.

  1. From the SATA6G Compliance Test Application's main menu, click Tools>Infiniium>InfiniiSim....

  2. In the Configure InfiniiSim dialog box, select either the 2 Port or 4 Port setting for the respective scope channel.

2 Port setting

Use this setting to configure only a 2-port channel for your test set up.

  1. When you select the 2 Port radio button, the Configure InfiniiSim dialog box displays several parameters along with the option to configure the Transfer Function feature:

4 Port setting

Use this setting to configure either two channels with 4-ports or to configure 4-ports on a single channel.

  1. In this example, you may either select 4 Port (Channels 1 & 3) or 4 Port (Channel 1). For the rest of the channels, you may select either of the following options:

· For Channel 2, select either 4 Port (Channels 2 & 4) or 4 Port (Channel 2)

· For Channel 3, select either 4 Port (Channels 1 & 3) or 4 Port (Channel 3)

· For Channel 4, select either 4 Port (Channels 2 & 4) or 4 Port (Channel 4)

The Configure InfiniiSim dialog box displays several parameters along with the option to configure the Transfer Function feature:

Note

Most of the parameters for the 4 Port InfiniiSim set up are the same. However, the extension for the Transfer Function File in the 2 Port set up is tf2 and in the 4 Port set up, the extension changes to tf4. Also, notice that the Port Extraction area is enabled only for the 4 Port (Channel 1) set up.

· For 4 Port (Channels 1 & 3)—

· For 4 Port (Channel 1)—

You may configure the following features and parameters irrespective of whether you select 2 Port, 4 Port (Channels 1 & 3) or 4 Port (Channel 1).

    1. Create Transfer Function From Model...—Use this feature to create and save a configuration file for measurement and simulation circuits on the Infiniium Oscilloscope.

· Click the [image] button to access the Create Transfer Function dialog box.

· Click Start and follow the instructions as listed in the instructions. Once you have completed all steps, click Finish on the same dialog box.

  2. Apply Transfer Function—Use this feature to load the configuration file saved on the local disk for measurement and simulation circuits.

· In this area, either manually type the file path and name in the Transfer Function File field or click the [image] button to select the transfer function file from the local disk.

Notice that the extension for the Transfer Function File in the 2 Port set up is tf2 and in the 4 Port set up, the extension changes to tf4.

· Select the transfer function file (*.tf2 or *.tf4) and click Open. The Transfer Function File field displays the file path and file name.

  3. Select an option from the drop-down if you wish to include or remove delay. By default, IncludeFilterDelay is selected.

  4. By default, the Bandwidth Limit field is grayed out and the value is set to 6000.000 MHz. You may select the check-box to enable this field and change the value. You may also change the values for Response Correction. In the Filter Size area, you may change the values for Max Time Span and Min Frequency Resolution.

  5. Once you have finished configuring InfiniiSim for the required scope channels, click OK to save the changes or click Cancel to discard the changes and return to the SATA6G Compliance Test Application window.


Setting Up the Precision Probe/Cable

Using the SATA6G Compliance Test Application

Setting Up the Precision Probe/Cable

Note

The precision probe/cable setup feature is only accessible from the SATA6G Compliance Test Application if it is currently licensed on the oscilloscope.

  1. From the SATA6G Compliance Test Application's main menu, click Tools > Infiniium > PrecisionProbe/PrecisionCable....

The Configure PrecisionProbe / PrecisionCable dialog appears, where you can set up the precision probe or the precision cable.

  2. Click the scope channel being used.

  3. In the Mode section, select one of the following options. Notice that the display in the lower part of the dialog changes according to your selection:

· PrecisionProbe—to calibrate the probes.

· PrecisionCable—to remove insertion loss caused by cables or fixtures.

The AC Calibration field displays the current status of the precision probe/cable.

Prior to enabling the settings for the precision probe/cable, you must perform calibration for the probe/cable on the scope.

  4. Click the Create New... button. The Create Calibration dialog displays.

· Create Calibration dialog for PrecisionProbe:

· Create Calibration dialog for PrecisionCable:

  4. On the Create Calibration dialog, click the Start button and follow the on-screen instructions to create probe/cable calibration files. Click Finish to exit the Create Calibration dialog and return to Configure PrecisionProbe / PrecisionCable dialog.

  5. Click OK to return to the test environment.


Setting Up the Test Environment

Using the SATA6G Compliance Test Application

Setting Up the Test Environment

  1. Click the Set Up tab, or click the Set Up box in the Task Flow pane.

The SATA6G Compliance Test Application provides two sections for setting up the Test Environment: Device Under Test (DUT) and Automation.

Device Under Test (DUT)

This section allows you to configure settings for the Device Under Test (DUT). It is further divided into various areas, which are:

· Device Type—Select either the Drive or the Host radio button to indicate the type of DUT you are using. By default, Drive is selected.

· A Drive is a storage peripheral, which includes products such as hard disk drives, half-height, slimline ATAPI devices and SATA MicroSD.

· A Host or Host Bus Adapter (HBA) is often referred to as controller card or simply, controller, which includes products such as chipset, add-in controller or eSATA.

· Generation—Select either Gen I, Gen II or Gen III radio button to indicate the signal characteristics on the DUT. By default, Gen I is selected.

· Gen I refers to first generation signaling characterized by a speed of 1.5 Gbps.

· Gen II refers to second generation signaling characterized by a speed of 3.0 Gbps.

· Gen III refers to third generation signaling characterized by a speed of 6.0 Gbps.

· Interface—Select either i, m, x or u radio button to indicate the interface/applications being used with the DUT. By default, i is selected.

· i indicates internal host (PC motherboard) to device applications.

· m indicates Short Backplane and external desktop/cabling applications.

· x indicates Long Backplane and Data Center applications.

· u indicates universal host applications, such as SATA Universal Storage Module (USM) host.

· Capabilities—Select the check-box for SSC, ASR or Emphasis based on the signaling technique used by the DUT.

· SSC—Check this option if the DUT supports Spread-Spectrum Clocking.

· ASR—Check this option if the DUT allows recovery of the lost asynchronous signal on a device or host, using signal recovery polling methodology. A device or host that supports the Device Sleep feature supports Asynchronous Signal Recovery.

· Emphasis—Check this option if the DUT supports the emphasis signal conditioning technique to optimize signal integrity at the receiver.

Notice in the following images how the application enables/disables the various options and the combinations for Device Type :, Generation :, Interface : and Capabilities, which is also dependent on the drop-down option that you select for UTD Version.

· BIST Mode:—Select one of the following test modes for the selected external pattern source used for automation. By default, this area is grayed out. You can enable this area by selecting one of the stimulus device for automation. In the following image, notice that selecting 81134A enables the BIST Mode: area. See Automation on how to choose and configure a stimulus device.

  1. BIST-T—Select this test mode, which is partially automated to configure the DUT to generate test patterns. Test pattern automation is available for the Physical OOB Requirements test group only if you select stimulus. However, automation is not applicable for the Physical General Requirements and the Physical Transmit Signal Requirements test groups.

  2. BIST-L—Select this test mode, which is fully automated to configure the DUT to generate the test patterns for the Physical OOB Requirements, Physical General Requirements and the Physical Transmit Signal Requirements test groups. By default, this option is selected.

· UTD Version—Select a drop-down option where UTD refers to Unified Test Document and the various specification versions for test methodologies, defined by SATA. By default, UTD 1.5 is selected.

· Product Info—Type an alphanumeric text in the Device Identifier: and the Device Description: drop-down text fields, to define the DUT. If you type more than one value in these fields, they appear in the drop-down options for you to select from. You may type any associated information text in the Comments: field. The values that you select/type in all these fields appear in the test reports that are generated in the HTML Report tab.

· You may optionally select the check-box for Hide Informative Tests, if you do not want the informative tests to appear in the Select Tests tab.

Automation

This section allows you to configure automation to run tests on the DUT.

· Select Stimulus:—Choose one of the following radio buttons to establish connectivity to an external pattern source/stimulus device:

· 81134A—Select this option if you are using the 81134A Pulse Pattern Generator as a remote stimulus device for the N5411B SATA6G Compliance Test Application.

· N4903B—Select this option if you are using the N4903B High Performance Serial BERT (J-BERT) as a remote stimulus device for the N5411B SATA6G Compliance Test Application.

· M8020A—Select this option if you are using the M8020A High Performance Serial BERT (J-BERT) as a remote stimulus device for the N5411B SATA6G Compliance Test Application.

· None—Select this option if you are not using a remote stimulus device for the N5411B SATA6G Compliance Test Application. By default, this option is selected.

· Notice that if you select either 81134A, N4903B or M8020A, the [image] button and the BIST Mode: drop-down options in the Capabilities area of the Device Under Test (DUT) are enabled.

· Click the [image] button to view the Configure Devices dialog. See Configure Devices how to establish connectivity with the external pattern sources.

· See Stimulus Remote Setup to understand how to configure either of these devices for remote stimulus setup.

· Notice the appearance of the Physical OOB Requirements test group under the Select Tests tab, when you select an option under Select Stimulus:.

Next

· Selecting Tests


Configure Devices

Setting Up the Test Environment

Configure Devices

· In the Set Up tab, click [image] after you select one of the stimulus instruments in the Automation section. The Configure Devices dialog displays. The tab that displays by default is corresponding to the stimulus instrument you select.

  1. 81134A—

· If you select 81134A under Automation, the 81134A PPG tab displays by default.

  2. N4903B—

· If you select N4903B under Automation, the N4903B JBERT tab displays by default.

  3. M8020A—

· If you select M8020A under Automation, the M8020A JBERT tab displays by default.

Establishing Connectivity

· For either of the stimulus instruments, if you are aware of the IP Address or SICL Address, select the corresponding radio button and type the address in the associated text field. Notice that under the N4903B JBERT and M8020A JBERT tabs, there is a note stating that you use a non-socketed connection. Keysight recommends not to connect these instruments to a socketed port.

  1. In the following example, the IP Address: radio button is selected and so that you can specify the IP address to connect to N4903B JBERT. The application automatically populates the SICL Address: field with the corresponding SICL Address in the SICL format.

  2. Click [image] to establish connectivity to the specified IP address. The following prompt appears. Click OK.

  3. You may perform steps 1 and 2 to establish connectivity with 81134A or M8020A, if you are using any of those instruments.

Calibration

· For either of the stimulus instruments, you may choose to calibrate the device with the oscilloscope specifically for OOB Signal Detection Threshold Tests. You may perform calibration to calibrate the amplitude of the stimulus device. In the following example, calibration steps for N4903B JBERT is shown.

Note

A prerequisite to performing calibration is that you must establish connectivity to the stimulus device. See Establishing Connectivity to know about to how to connect to the external stimulus instrument.

  1. Upon successful connection with the stimulus device, follow the connection diagram (as shown in the images above) and the set of instructions available as you scroll down (as shown in the image below) to physically setup the device for calibration.

  2. Click [image] to start calibrating the device. Prior to performing calibration, the application displays the CalibrationOptions dialog.

· If you do not intend to perform debugging for Vthreshold tests, click the radio button for No. The radio button for No is selected by default. If you click OK with No selected, the application will continue with calibrating only the amplitude of the stimulus device. Click Cancel to discard the changes and return to the Configure Devices dialog.

· If you intend to perform debugging for Vthreshold tests, click the radio button for Yes. This enables the Vthresh Debug Option area.

· Select either 5 or 2 from the drop-down options for Calibration Steps (mV):. This is the margin by which the application will sweep the voltage from the high threshold to the low threshold point instead of testing only for voltage for different amplitudes. By default, 5 is selected.

· Click OK to save the changes and to continue with calibration along with debugging or click Cancel to discard the changes and return to the Configure Devices dialog. If you click OK with either Yes or No selected, the following prompt displays.

  3. Once the calibration is complete, the status displays in the lower part of the Configure Devices dialog.

  4. You may perform steps 1 to 3 to perform calibration with 81134A or M8020A, if you are using any of those instruments.

BIST mode automation (for N4903B JBERT)

· The N5411B SATA6G Compliance Test Application provides you the option to use pre-defined sequence files to define automation for running tests only when you are using the N4903B High Performance Serial BERT (J-BERT).

· Upon successful connection with the stimulus device, notice that the Enable BIST mode automation check-box is enabled.

· Select the Enable BIST mode automation check-box to enable the [image] button.

· Click the [image] button. The BIST Mode Automation dialog displays.

· On the BIST Mode Automation dialog,

  1. In the Sequence File : field, either type the file path and file name of the sequence file (*.seq) or click the [image] button to select the sequence file from the local disk. The Load JBERT Sequence File for BIST mode Automation displays.

  2. Select the desired sequence file (*.seq) and click Open. The file path and file name are populated in the Sequence File : field.

  3. In the Sequence Pattern File area, you can define the pattern for four types of blocks. Click the [image] button against each row to select and load the JBERT pattern file (*.ptrn) for the corresponding block.

  4. Select the sequence pattern file (*.ptrn) corresponding to the block and click Open. The file path and file name is populated in the field for each of the blocks.

  5. In the Manual Setup Sequence File area, click the [image] button to load the selected sequence files onto the JBERT device. Click the [image] button to send a command to reset the sequence loaded on the JBERT device. Click the [image] button to send a command that will break the pattern/sequence that may go into a loop in the manual mode.

  6. Click OK to save the changes made to the BIST Mode Automation dialog and to return to the Configure Devices dialog.

· Click Close on the Configure Devices dialog to save the changes and return to the test environment setup.


Stimulus Remote Setup

Setting Up the Test Environment

Stimulus Remote Setup

You may use either the 81134A Pulse Pattern Generator, the N4903B High Performance Serial BERT (J-BERT) or the M8020A High Performance BERT (J-BERT) to setup a remote stimulus for the N5411B SATA6G Compliance Test Application.

81134A Pulse Pattern Generator

To set up the 81134A Pulse Pattern Generator stimulus remotely for the N5411B SATA6G Compliance Test Software:

Using IP Address

· Do the following:

  1. Set the "cmbIPaddr" configuration variable using the command:

arsl —a <Oscilloscope IP Address> -c "SetConfig 'cmbIPaddr' '<81134A IP Address>'"

  2. Set the "optConnection" configuration variable:

arsl —a <Oscilloscope IP Address> -c "SetConfig 'optConnection' 'none'"

arsl —a <Oscilloscope IP Address> -c "SetConfig 'optConnection' 'PPG_IP'"

  3. The application displays the following prompt if the connection to the 81134A Pulse Pattern Generator is success:

Using SICL Address

· Do the following:

  1. Set the "cmbSicl" configuration variable:

arsl —a <Oscilloscope IP Address> -c "SetConfig 'cmbSicl' '<81134A Sicl Address>'"

  2. Set the "optConnection" configuration variable:

arsl —a <Oscilloscope IP Address> -c "SetConfig 'optConnection' 'none'"

arsl —a <Oscilloscope IP Address> -c "SetConfig 'optConnection' 'PPG_Sicl'"

  3. The application displays the following prompt if the connection to the 81134A Pulse Pattern Generator is success:

Notes

· Prior to setting up the remote connection, you may optionally suppress the message box by setting the "SuppressSimpleMessages" attribute to "True".

arsl —a <Oscilloscope IP Address> -c "SuppressSimpleMessages True"

· Keysight recommends resetting of the "optConnection" attribute to "none" prior to setting up the connection to the stimulus.

N4903B High Performance Serial BERT (J-BERT)

To set up the N4903B High Performance Serial BERT (J-BERT) stimulus remotely for the N5411B SATA6G Compliance Test Software:

Using IP Address

· Do the following:

  1. Set the "cmbIPaddr" configuration variable using the command:

arsl —a <Oscilloscope IP Address> -c "SetConfig 'cmbIPaddr' '<J-BERT IP Address>'"

  2. Set the "optConnection" configuration variable:

arsl —a <Oscilloscope IP Address> -c "SetConfig 'optConnection' 'none'"

arsl —a <Oscilloscope IP Address> -c "SetConfig 'optConnection' 'JBERT_IP'"

  3. The application displays the following prompt if the connection to the N4903B High Performance Serial BERT (J-BERT) is success:

Using SICL Address

· Do the following:

  1. Set the "cmbSicl" configuration variable:

arsl —a <Oscilloscope IP Address> -c "SetConfig 'cmbSicl' '<JBERT Sicl Address>'"

  2. Set the "optConnection" configuration variable:

arsl —a <Oscilloscope IP Address> -c "SetConfig 'optConnection' 'none'"

arsl —a <Oscilloscope IP Address> -c "SetConfig 'optConnection' 'JBERT_Sicl'"

  3. The application displays the following prompt if the connection to the N4903B High Performance Serial BERT (J-BERT) is success:

Notes

· Prior to setting up the remote connection, you may optionally suppress the message box by setting the "SuppressSimpleMessages" attribute to "True".

arsl —a <Oscilloscope IP Address> -c "SuppressSimpleMessages True"

· Keysight recommends resetting of the "optConnection" attribute to "none" prior to setting up the connection to the stimulus.

M8020A High Performance BERT (J-BERT)

To set up the M8020A High Performance BERT (J-BERT) stimulus remotely for the N5411B SATA6G Compliance Test Software:

Note

Support for the M8020A High Performance BERT (J-BERT) is available only for N5411B SATA6G Compliance Test Software version 1.81 and higher.

Using IP Address

· Do the following:

  1. Set the "cmbIPaddr" configuration variable using the command:

arsl —a <Oscilloscope IP Address> -c "SetConfig 'cmbIPaddr' '<J-BERT IP Address>'"

  2. Set the "optConnection" configuration variable:

arsl —a <Oscilloscope IP Address> -c "SetConfig 'optConnection' 'none'"

arsl —a <Oscilloscope IP Address> -c "SetConfig 'optConnection' 'M8020A_IP'"

  3. The application displays the following prompt if the connection to the M8020A High Performance BERT (J-BERT) is success:

Using SICL Address

· Do the following:

  1. Set the "cmbSicl" configuration variable:

arsl —a <Oscilloscope IP Address> -c "SetConfig 'cmbSicl' '<JBERT Sicl Address>'"

  2. Set the "optConnection" configuration variable:

arsl —a <Oscilloscope IP Address> -c "SetConfig 'optConnection' 'none'"

arsl —a <Oscilloscope IP Address> -c "SetConfig 'optConnection' 'M8020A_Sicl'"

  3. The application displays the following prompt if the connection to the M8020A High Performance BERT (J-BERT) is success:

Notes

· Prior to setting up the remote connection, you may optionally suppress the message box by setting the "SuppressSimpleMessages" attribute to "True".

arsl —a <Oscilloscope IP Address> -c "SuppressSimpleMessages True"

· Keysight recommends resetting of the "optConnection" attribute to "none" prior to setting up the connection to the stimulus.

GUI Location

Label

Variable

Values

Description

Set Up

Stimulus Instrument Connection

optConnection

none, PPG_IP, PPG_Sicl, JBERT_IP, JBERT_Sicl, M8020A_IP, M8020A_Sicl

REMOTE ONLY:

Determine whether tests that require a stimulus instrument availability are loaded in the test tree.

If the remote user desires to use the 81134A as stimulus, the value "PPG_IP" or "PPG_Sicl" is applicable to configure the IP Address or Sicl Address respectively.

If the remote user desires to use N4903B as the stimulus, the value "JBERT_IP" or "JBERT_Sicl" is applicable to configure the IP Address or Sicl Address respectively.

If the remote user desires to use the M8020A as stimulus, the value "M8020A_IP" or "M8020A_Sicl" is applicable to configure the IP Address or Sicl Address respectively.

In either case, the application returns the status on whether the attempt to connect to the stimulus instrument is successful or not.

In any case, you must issue the 'none' value again before attempting to connect to the stimulus device for another round.

After the software detects that it is remotely controlled, the Automation section in the Setup tab is disabled. There is also a Re-enable button to re-enable the Automation section, so that you can access this section locally.

Set Up

Stimulus Instrument IP Address

cmbIPaddr

(Accepts user-defined text)

REMOTE ONLY:

Sets the IP address for the stimulus device.

The IP or Sicl Address must be set explicitly before any stimulus connection attempt.

Set Up

Stimulus Instrument Sicl Address

cmbSicl

(Accepts user-defined text)

REMOTE ONLY:

Sets the Sicl address for the stimulus device.

The IP or Sicl Address must be set explicitly before any stimulus connection attempt.


Selecting Tests

Using the SATA6G Compliance Test Application

Selecting Tests

  1. Click the Select Tests tab, or click the Select Tests box in the Task Flow pane.

  2. Check the tests you want to run.

    Note

    The tests that appear under the Select Tests tab are determined by the choices selected under the Set Up tab. The test list gets rebuilt each time a selection is made.

Some things to note:

· Checking a parent node/group will check all available sub-groups or tests.

· Unchecking a parent node/group will uncheck all sub-groups or tests.

· A parent node is checked if all subgroups are checked.

· A parent node is unchecked if ANY subgroup is unchecked.

Note

If a test has a non-range limit of 0, that is, value < 0, then the test application will provide a nominal value. This nominal value produces a non-infinite margin and is used to declare the 100% margin point. The assigned nominal value can be viewed at the description pane.

Using the Right-Click Pop-Up Menu

When you right-click in the test pane, it produces a pop-up menu containing some shortcuts for selecting and deselecting tests.

When Tests Have Already Been Run

If tests have already been run, you will see their status in the Select Tests tab.

The status marks have the following indications:

Status Mark | Indication
 | The tests have passed.
 | The tests have failed.
 | The test has not been run or no tests in the group have been run.
 | The test is currently running.
 | Some tests in the group have been run and passed.
 | Some tests in the group have been run and failed.
 | Some tests in the group have passed and some have failed; not all of the tests have been run.
 | Some tests in the group have passed and some have failed; all of the tests have been run.
 | All the tests in the group have run and passed.
 | All tests in the group have run and failed.
 | The test is an information only test

Next

· Configuring Tests


Configuring Tests

Using the SATA6G Compliance Test Application

Configuring Tests

  1. Click the Configure tab, or click the Configure box in the Task Flow pane.

  2. Select either Compliance Mode or Debug Mode.

    • Compliance Mode— lets you choose the configuration options necessary to meet the compliance standard tests.

    • Debug Mode— lets you modify the configuration options. This can be useful, for example, when investigating a test failure.

  3. Select the bulleted item for the settings you want to configure; then, select or enter your settings.

    A description of the selected configuration item appears in the lower, right part of the application window.

Note that you can also enter values in some of the drop-down selection fields. Entered values are checked for validity.

Tip

· A quick way to see the Debug Mode configuration option values that are used in the Compliance Mode is to switch from Compliance Mode to Debug Mode.

· A quick way to reset all the Debug configuration options is to switch from Debug Mode to Compliance Mode.

· A quick way to reset all configuration options and delete all test results is to create a new project. The new project will have default configuration options.

See Also

· Compliance Limits

Next

· Connecting the Oscilloscope to the DUT


Compliance Limits

Configuring Tests

Compliance Limits

You may define compliance limits within the SATA6G Compliance Test Application by using the Compliance Limits feature.

Using this feature, you can:

· Activate/Refresh a Limit Set. See To Activate/Refresh Limit Set.

· Create/Edit a Limit Set. See To Create/Edit Limit Set.


To Activate/Refresh Limit Set

Compliance Limits

To Activate/Refresh Limit Set

  1. To access the Activate/Refresh Compliance Limit Set dialog, do one of the following:

· Under the Configure tab, click the [image] button.

· From the SATA6G Compliance Test Application's main menu, click Tools>Compliance Limits>Activate/Refresh limit set....

The Activate/Refresh Compliance Limit Set dialog displays.

By default, the Active Limit Set is (Official) Unified Test Document Version 1.5 Official Test Limit. You may change the limit set in the Select a limit set to activate/refresh: area.

· Select an official limit set from the drop-down for Official limit sets:. Official limit sets are referred to the limit sets defined by Keysight Technologies. Usually, these limit sets reflect different versions of official specifications. Currently, the default official limit set in the drop-down options is Unified Test Document Version 1.5 Official Test Limit.

· Click User-defined limit sets: to enable the Browse button and select a file from the local disk that defines the custom limit set that you (or another user) have created. The user-defined limit sets may contain values that are different from any official specification. See To Create/Edit Limit Set on how to create a user-defined limit set.

  2. Click [image] to enable the selected limit set. This will change the limit for the configuration options that are required to meet the compliance standard tests.


To Create/Edit Limit Set

Compliance Limits

To Create/Edit Limit Set

· To access the Create/Edit User-Defined Limit Set dialog, click Tools>Compliance Limits>Create/Edit limit set....

The Create/Edit User-Defined Limit Set dialog displays.

· Click the [image] button to load an existing official limit set or an existing user-defined limit set.

By default, the Active Limit Set: area displays (Official) Unified Test Document Version 1.5 Official Test Limit.

Also, the Official limit sets: radio button is selected by default under the Select a limit set to load: section. The default selection in this drop-down is Unified Test Document Version 1.5 Official Test Limit.

· To select a user-defined limit set, select the User-defined limit sets: radio button to enable the field where you can type the file path and file name of the limit set file (*.lim).

· You may also click the Browse button to select the (*.lim) file from the local disk.

· In the Open dialog box, select the limit set file you want to load and click the Open button.

· The User-defined limit sets: field displays the entire file path and name.

· Click the Load button to view the attributes of the limit set file.

In the Create/Edit User-Defined Limit Set dialog, notice that some of the fields, which were grayed out earlier, are populated based on the attributes of the selected limit set file.

· In the Edit summary: section, you may type/edit the name of the limit set file in the Name: field and type/edit the reference standard name in the Shared reference: field.

· Click to select the test limit in the Select test limit(s) section that you wish to amend and modify.

· In the Select action to perform area, you can perform one of the following actions:

· Edit Limit Sets:

  1. Click the [image] button to modify the selected test limit set in the Edit Compliance Limit dialog. Click OK to save the changes, else click Cancel, and return to the Create/Edit User-Defined Limit Set dialog.

· Combine Limit Sets:

  1. Select two or more test limit rows and click the [image] button to combine test limits into one limit, such that the resultant limit covers more than one test ID.

  2. In the Combine Multiple Test Limits Into One dialog, verify the selected limit sets, which you wish to combine, in the Copy limits from: drop-down field. Type a summary name and description to identify the new combined test limit.

  3. Click the Finish button save the changes, else click Cancel, and return to the Create/Edit User-Defined Limit Set dialog.

· Split Limit Sets:

  1. Click the [image] button to access the Split One Test Limit Into Two dialog to split a combined test limit into single test limits.

Note

You can only split multi-test limits. If you attempt to split a single-test limit, the application prompts an error.

  2. Click the [image] button to split the required test limits by moving the selected test limits into the column on the right. Click the [image] button if you wish to retain a test limit in the original limit set.

  3. For proper identification of the separate limit sets, there are separate summary names and summary descriptions in the respective fields. Click the Finish button save the changes, else click Cancel, and return to the Create/Edit User-Defined Limit Set dialog.

  4. On the Create/Edit User-Defined Limit Set dialog, rename the new limit set with a unique name which is different from the name of any official limit set.

  5. Click Save As... to access the Save Limit Set As dialog to save your custom limit set, either Combined or Split, to a file.

  6. Click Save to save the new limit file on the local disk and return to the Create/Edit User-Defined Limit Set dialog.

· Click Close on the Create/Edit User-Defined Limit Set dialog to return to the test environment.


Connecting the Oscilloscope to the DUT

Using the SATA6G Compliance Test Application

Connecting the Oscilloscope to the DUT

  1. Click the Connect tab or click Connect in the Task Flow pane.

  2. View the Connection Diagram and follow the instructions to connect the Oscilloscope to the Device Under Test (DUT).

Note

The Connection Diagram and the list of instructions vary based on the configuration settings under the Set Up, Select Tests and Configure tabs.

  3. After making connections between the Oscilloscope and DUT based on the given instructions, click the I have completed these instructions check box.

  4. Click the Suppress all connection prompts check box if you want to suppress the pop-up messages and prompts when the tests are running. If you select this check box first, the I have completed these instructions check box gets automatically checked and grayed out.

Next

· Running Tests


Running Tests

Using the SATA6G Compliance Test Application

Running Tests

Note

You must allow the oscilloscope to warm-up at least 30 minutes before running any measurement tests.

Tip

As a best practice, calibrate the oscilloscope at least once in a year or when the Calibration ΔTemp is greater than ±5 ºC. Refer to the Help>About Infiniium... menu on the Keysight Infiniium Oscilloscope to find the Calibration ΔTemp.

  1. To run the tests selected under the Select Tests tab, do one of the following options:

· Under the Select Tests tab, use the right-click pop-up menu within the test pane to run tests. Click All Checked Tests... to run all tests that are selected or Click Selected Branch Only... to run tests in a selected branch.

Alternatively, you may click [image] on the toolbar to run all the checked tests. This icon is active for all tabs. Click [image] on the toolbar to run tests in a selected branch. This icon is active for the Select Tests tab only.

· Under the Connect tab, click the Run Tests button to run the selected tests. By default, this button is grayed out. It is highlighted when you select either the I have completed these instructions check box or the Suppress all connection prompts check box.

· Under the Run Tests tab, click the Start button to run the selected tests.

You may configure the settings under the Run Tests tab to run the tests either Once, N (multiple but limited) Times or Forever.

For more information on the options available under the Run Tests tab, see:

· To select the Store Mode

· To run multiple times

· To send email on pauses or stops

· To pause or stop on events

· To specify the event

  2. If there are existing results for selected tests, you receive a prompt to choose the way you want to change the existing results before you continue. By default, Append New Trials is selected.

To retain the existing test results to compare with the new results of the selected tests, select Append New Trials.

To remove the existing test results, select Replace ALL Existing Trials so that only the new results of the selected tests are displayed.

  3. A Status window appears and displays the progress of the tests while they are running.

Click Stop to abort the tests from running any further. If you choose to abort the tests, click OK on the following prompt and the Results tab is displayed.

If you do not select the [image] check-box under the Connect tab and click the [image] button in the Run Tests tab, you may view the Change Physical Connection/Setup dialog similar to the one shown below.

You may click Cancel if you wish to abort the tests. You may click Ignore if you do not find a need to change the physical setup.

If you wish to continue, once you have made the physical changes to the connection according to the instructions listed on the Change Physical Connection/Setup dialog, select the check-box for [image] and click the [image] button to run the tests further. Click the [image] button if you wish to view the oscilloscope.

  4. When all selected tests are complete, click OK on the following prompt. The Results tab is displayed.

See Also

· To set the display preferences

· To set the run preferences

Next

· Viewing Results


To select the Store Mode

Running Tests

To select the Store Mode

You may select the type of trials that must be stored, especially when running multiple tests.

  1. Click the Run Tests tab.

  2. In the Store Mode section, select one of the drop-down options for trials.

By default, Worst is selected. Irrespective of the selection, the results of up to 25 trials are stored.

· Best — Stores the results of the best N trials.

· Event — Stores the results of N trials when a specific event is detected. See To specify the event.

· Last — Stores the results of the last N trials.

· Worst — Stores the results of the worst N trials.

If you change the type of trials in the Store Mode section, all existing test results will be deleted.

The selection in the Store Mode affects the trial display options in the Report tab. See To set trial display preferences.


To run multiple times

Running Tests

To run multiple times

You may select whether to run your tests once, more than once or forever.

  1. Click the Run Tests tab.

  2. In the Run Until section, select one of the drop-down options for Run tests.

By default, Once is selected.

  • Forever — Tests are run repeatedly until you click the Stop button.

  • N Times — Tests are run "N" number of times. You must specify the number of runs by assigning a positive whole number for N. You may choose to have pauses between each run.

Note

When you choose to run the tests N times, you may use the trial display options in the Report tab of the Preferences dialog box to specify how many trials are displayed in the test report. See To set trial display preferences.

  • Once — Tests are run only once.


To send email on pauses or stops

Running Tests

To send email on pauses or stops

You may configure the test application to send a notification email whenever a test run pauses or ends.

  1. Click the Run Tests tab.

  2. In the Run Until section, click the Send email check box. The Configure button appears.

  3. Click Configure. The Configure Email dialog appears.

  4. In the Configure Email dialog box, enter the To and From email addresses and the host name of the SMTP Server.

  5. Click OK.

Pauses occur between runs when you run your tests for a specific number of times (see To run multiple times) or when the test run pauses on occurrence of an event (see To pause or stop on events).


To pause or stop on events

Running Tests

To pause or stop on events

You may set up test runs to pause or stop at the end of each test upon occurrence of a preselected type of event.

  1. Click the Run Tests tab.

  2. In the Run Until section, click the On event check box. A drop-down selection field appears.

  3. Select one of the options.

· Pause — The test run pauses when the selected type event occurs.

· Stop — The test run stops when the selected type of event occurs.

  4. In the Event section, select the type of event. See To specify the event.

You may set the pauses or stops between runs to automatically send notification emails (see To send email on pauses or stops).


To specify the event

Running Tests

To specify the event

You may select the type of event when you select Event for the type of trials in the Store Mode section and also after you choose to pause or stop the test runs upon occurrence of that event. See To select the Store Mode on how to select the type of trial and To pause or stop on events on how to enable the Events section.

  1. Click the Run Tests tab.

  2. In the Events section, click the drop-down selection field and choose one of the following options:

· Fail — Causes occurrence of an event when a prerequisite test or selected test fails.

· Margin < N — Causes occurrence of an event when a test generates a margin, which is less than the specified value of N (number of runs). When you select this option, you must enter the minimum required margin percentage.

· ~Pass — Causes occurrence of an event when a selected test passes.

The tilde (~) character in the Event selection drop-down indicates such types of events that are unavailable. If you select such type of an event, a dialog box prompts the reason for the unavailability of that type. For example, the condition for you to be able to select Pass as the event type is that you must set the type of trials under the Store Mode as either Best, Event or Last. As such, the event type Pass is prefixed with ~ because the type of trials under Store Mode is Worst.


To set the display preferences

Running Tests

To set the display preferences

You may choose to display or disable the information, warning and error dialogs and modify other display preferences while tests are running.

  1. From the SATA6G Compliance Test Application's main menu, click View>Preferences....

  2. In the Preferences dialog box, click the Display tab.

  3. Under the Display tab, you may deselect the check box to disable the display to either one or all types of the following dialogs:

· Information dialogs

· Warning dialogs

· Error dialogs

Note

Display messages where you must select either OK/Cancel or Yes/No, are always enabled.

  4. You may also enable/disable the following display options:

· Invert scope display— displays a white background when the application captures screen shots. By default, this option is disabled. Note that there is no inversion of the scope display if the oscilloscope's ColorGrade is enabled.

· Keep application on top— keeps the application's main dialog box on top of the Infiniium application. By default, this option is enabled. Irrespective of whether this option is enabled or not, the mid-run dialog boxes are always displayed on top.

· Log events— displays the log of all events that occur during the test runs. By default, this option is disabled. You must enable this option only when you are directed by the Keysight support organization.

· Show tooltips— enables appearance of tooltips as you hover the mouse pointer over various controls in the application. By default, this option is enabled.

  5. Click Apply to save changes and click OK to close the Preferences dialog box.


To set the run preferences

Running Tests

To set the run preferences

Other than enabling/disabling the display of Information, Warning and Error messages that may occur during test runs (see To set the display preferences), you may modify other preferences that affect the tests runs.

  1. From the SATA6G Compliance Test Application's main menu, click View>Preferences....

  2. In the Preferences dialog box, click the Run tab.

  3. In the Prompts section, select/deselect the following options. By default, these options are enabled:

· Beep when user prompted — enables beeps from the oscilloscope whenever there is a prompt for user inputs.

· Beep only during run — restricts the beeps to occur during test runs only.

  4. In the Test Abort Action section, select one of the following conditions that must be met if a test aborts:

· Continue the run — enables continuity in the running of tests until all tests are run, even if one or more tests abort. Note that you may view the problem descriptions related to the aborts after the test run ends.

· Stop the run and report the problem immediately — stops the running of tests as soon as a test aborts and the application generates a problem report immediately.

Note that the settings of the Test Abort Action section do not affect the Stop button.

  5. Click Apply to save the changes and click OK to close the Preferences dialog box.


Automating the Application

Using the SATA6G Compliance Test Application

Automating the Application

The Automation tab enables you to construct scripts of commands that drive the functionality of the application.

Select one of the modes: Script or Files. By default, Script is selected.

Script Mode

In the Script mode, the application runs commands entered in the script text box.

To construct a script of commands, do one of the following:

· Type in commands (one per line) in the script text box

· Use the command generator by clicking the Commands... button.

Tip

In either case of constructing a script, you may save the script to a text file to easily switch on to the Files automation mode.

Using the command generator in Automation

You may create either single commands or entire sample scripts (that demonstrate how commands work together) using the command generator.

· Single Command— In this mode,

  1. Select the tab that corresponds to the application tab or menu containing the controls you require to modify.

  2. Select the radio button for the action you desire to perform. The Use command(s) area displays the automation command that performs the desired action.

Most commands have placeholder parameters along with the instructions on how to modify/customize them.

· Entire Script— In this mode,

  1. Select a script that describes a task that provides you relevant & adequate information.

In either of the modes, you may click Copy to Clipboard button to copy the command and paste it within the script or click Append to Script to add the command towards the end of the script. You may optionally include instructions as comments that guide you in customizing the commands.

Note

The command lines that start with a pound (#) symbol in the script under the Automation tab do not function during test runs.

Files Mode

In the Files mode, the application runs commands that are found in files, as shown in the list. This list of files is constructed and managed using the buttons on the left.

Execution

Click the Start button to begin running the commands in the Script or Files mode. The first test starts running and the button changes to Stop.

Before the first test runs, you may click the Stop button to abort the test run. Once the run begins, the Status dialog box appears and you may use the Stop button on this dialog box.

Settings Status

Some commands result into visible changes to the application's tabs, such as selecting a test. Other commands modify settings that may not be visible, such as "SuppressMessages". To view the current value of the invisible properties, click the Settings... button to access the Settings status dialog box.

Command Line

To experiment with a command to check its functionality, type the command in the Try a command field and press the <Enter> key to check. If the output has a visible effect, such as selecting a test, go to the corresponding tab to check its behavior.


Viewing Results

Using the SATA6G Compliance Test Application

Viewing Results

  1. Click [image] in the toolbar or click the Results tab.

· The Results tab contains three resizeable panes to display information for test results. If you select one of the tests in the top pane, details and reference images (if any) are displayed in the lower panes.

· The summary of the selected test trial is displayed in the bottom left pane. This pane also displays the Worst Trial (depending on your settings in the Store Mode of the Run Tests tab).

· The bottom right pane may have several tabs, depending on the selected Report Preferences. If you select more than one trial, the first tab will be the Summary tab, which displays the summary of all the test trials. The application displays a maximum of 25 trials at one time.

· If you select worst first in the trial display option, the Worst Trial is the next tab after the Summary tab, followed by other trials in the order of trial performance.

· The reference images for the selected trials appear in the bottom right pane. See To show reference images and flash mask hits for more details on reference images.

Tip

A quick way to reset all configuration options and delete all test results is to create a new project. The new project has the default configuration options.

Note

If a test has a non-range limit of 0, that is, value < 0, the test application provides a nominal value. The nominal value produces a non-infinite margin and is used to declare the 100% margin point. You can view the assigned nominal value on the description pane.

See Also

· To delete trials from the results

· To show reference images and flash mask hits

· To change margin thresholds

· To change the test display order

· To set trial display preferences

Next

· Viewing/Exporting/Printing the Report


To delete trials from the results

Viewing Results

To delete trials from the results

Under the Results tab, select one or more trials that you want to delete and do one of the following:

  1. Click [image] on the toolbar.

Click Yes to delete the selected result.

  2. Press the Delete key on the keyboard.

  3. Right-click at a test result (in the upper pane) and select the trial or test to delete.

  4. Right-click inside the display area of the trial tab (in the lower pane).

· You may select and delete one trial if you have a summary of trials.

· You may select a specific trial to delete.

Select the check-box against the particular trial when you wish to delete a single trial:

If other tests have results that were generated during the same trial run as the trial you are deleting, the application asks you if you wish to delete these results at the same time.

Note

The number of trials and the results may not match. The application displays those results that were generated during the same run. You may choose to delete those trials as well.

· When you click OK after selecting the trials to delete, a confirmation dialog appears.

· The remaining trials are renumbered in the descending order to fill in the gap left by the deleted trial.

· If you delete the last remaining trial of a test, the entire test results are removed. You may use the Delete Selected Test... option in the upper pane to delete all results for a selected test.

Note

There are two situations where you are not allowed to delete a trial:

Case 1 — The trial you attempt to delete is the last remaining extreme trial but not the last remaining trial. In the SATA6G Compliance Test Application, the maximum number of trials displayed is 25. For example:

  1. Let us assume N is 25 (the maximum number of trials displayed).

  2. You have more than N trials of a test.

  3. You may delete up to N-1 trials, where all these tests are displayed in the individual result tabs. You will not be able to delete the last remaining test displayed in the individual result tab or other non-displayed tests. However, you may delete the entire test.

Case 2 — The trial you attempt to delete is associated with a trial defined in Case 1.


To show reference images and flash mask hits

Viewing Results

To show reference images and flash mask hits

  1. In the Results tab, click in the Reference Images pane.

This opens the reference image dialog.

In the reference image dialog, you can:

· Click the flash red pixels button [image] to highlight the points of failure.

· Click the zoom in [image] or zoom out [image] buttons to resize the dialog.

  2. Click the close button [image] to close the reference image dialog.


To change margin thresholds

Viewing Results

To change margin thresholds

  1. From the SATA6G Compliance Test Application's main menu, click View>Preferences....

Alternatively, you may click [image] in the toolbar when viewing the Results tab.

  2. In the Preferences dialog box, click the Report tab.

  3. In the Margin Reporting section, you can:

· Enable or disable margin highlighting.

· Change the percent of margin at which to give warnings or critical failures.

  4. Click Apply to save your changes and click OK to close the Preference dialog box.


To change the test display order

Viewing Results

To change the test display order

  1. From the SATA6G Compliance Test Application's main menu, click View>Preferences....

Alternatively, you may click [image] in the toolbar when viewing the Results tab.

  2. In the Preferences dialog box, click the Report tab.

  3. In the Test Display section, select the radio button to arrange tests chronologically or you may use the same ordering as in the Select Tests tab. By default, Chronologically is selected.

  4. Click Apply to save your changes and click OK to close the Preferences dialog box.

Note

These settings only affect the viewing of results and not their capture. Therefore, a change can be made to either before or after running the tests.


To set trial display preferences

Viewing Results

To set the Trial Display preferences

  1. From the SATA6G Compliance Test Application's main menu, click View>Preferences....

Alternatively, you may click [image] in the toolbar when viewing the Results tab.

  2. In the Preferences dialog box, click the Report tab.

  3. In the Trial Display section, select the number of worst trials whose details you want the application to display.

  4. Select the radio button for Order trial details: to arrange the display order of the trial details either chronologically or the worst trial first followed by the rest of the trials. By default, Worst first is selected.

  5. Select the check-box for Show images for up to 25 worst trial(s) if you want the application to display images of the signal on the scope that were captured during running of such trials. By default, this box is selected.

  6. Click Apply to save your changes and click OK to close the Preferences dialog box.

Note

These settings only affect the viewing of results and not their capture. Therefore, a change can be made to either before or after running the tests.


Viewing/Exporting/Printing the Report

Using the SATA6G Compliance Test Application

Viewing/Exporting/Printing the Report

To view the HTML test report, click the Html Report tab.

See Also

· To export the report

· To print the report

· To set HTML Report preferences

Next

· Saving Test Projects


To export the report

Viewing/Exporting/Printing the Report

To export the report

  1. From the SATA6G Compliance Test Application's main menu, click File>Export Results.

  2. To export the HTML test report, click either CSV or HTML.

To export results in CSV (comma-separated value) format

Select CSV to export the results as a comma-separated list of values.

The data format is shown in the first line of the exported *.csv file.

To export the report in HTML format

You may export the test reports in HTML format using Single-File or Multi-File mode.

· Single-File — To save a single-file report, select "Web Archive, single file (.mht)" for the Save as type.

Note

Single-file reports do not contain hyperlinks in the summary table, due to the .mht format limitation. If you require these hyperlinks, use the multi-file format.

· Multi-File — For large reports, where you may prefer using links within the report, select the HTML>Multi-File option. Selecting the multi-file option exports the results as a set of separate image and HTML files.

Select a folder in the Browse For Folder dialog to save the report.

The application creates a folder with the specified name that may be copied to any computer. To view the exported report, open the HTML file stored in the folder.


To print the report

Viewing/Exporting/Printing the Report

To print the report

· To preview the HTML test report printout, click [image] or choose File>Print Preview... from the SATA6G Compliance Test Application's main menu.

· To print the HTML test report, click [image] or choose File>Print... from the SATA6G Compliance Test Application's main menu.


To set HTML Report preferences

Viewing/Exporting/Printing the Report

To set HTML Report Preferences

  1. From the SATA6G Compliance Test Application's main menu, click View>Preferences....

    Alternatively, you may click [image] in the toolbar when viewing the Results tab.

  2. In the Preferences dialog box, click the Report tab.

  3. In the Jump Actions section, you can:

· Select the check-box for Select Tests tab double click jumps to result to enable double-click on the tests under the Select Tests tab, which would display the corresponding results under the Results tab. By default, this setting is disabled.

· Select the check-box for HTML Report tab display jumps to selected result to enable clicking on main HTML report, which will cause the report to scroll down to the location of the test result that is currently selected on the Results tab. If no tests are selected under the Results tab, the HTML report stays on top. By default, this setting is disabled. Regardless of this setting, if you double-click a row on the Results tab, the application automatically displays the HTML Report tab and scrolls down to the corresponding result.

  4. Click Apply to save the changes and click OK to close the Preferences dialog box.


Understanding the Report

Using the SATA6G Compliance Test Application

Understanding the Report

The information in this topic will help you understand the different sections of the SATA6G HTML Report.

The top section of the SATA6G HTML Report contains the report header. The figure that follows shows an example of a report header. It has information about the oscilloscope used to perform the test: the version of the oscilloscope's application, the model number and the serial number of the oscilloscope as well as the date and time the test was performed. Information entered and selections made in the Set Up tab are also displayed in this box. If any of this information was not entered, it will not be displayed here.

Summary of Results

The Summary of Results section gives an overview for each of the tests that were run. The Pass column indicates wether the tests passed or failed. The Actual Value column shows the actual case value across all of the trials. The Margin column shows the percentage of pass or fail and its criticality, depending on the criteria set for the Margin Thresholds (under the Preferences dialog box).

Report Detail

The next section of the report shows the statistics for each of the selected measurements.


Saving Test Projects

Using the SATA6G Compliance Test Application

Saving Test Projects

· To save test settings and results to the current project directory:

    1. Choose File>Save Project from the SATA6G Compliance Test Application's main menu.

· To save test settings and results to a new project directory:

    1. Choose File>Save Project As... from the SATA6G Compliance Test Application's main menu.

    2. In the Browse for Folder dialog box, select the appropriate folder location.

Project files are saved in a directory whose name is the device name.

    3. Click OK.

See Also

· To set AutoRecovery preferences

Next

· Controlling the Application via a Remote PC


To set AutoRecovery preferences

Saving Test Projects

To set AutoRecovery preferences

  1. From the SATA6G Compliance Test Application's main menu, click View>Preferences....

  2. In the Preferences dialog box, click the Save/Load tab.

  3. In the Auto Recovery section, select one of the following options:

· To auto-save results after each trial or permutation even if the entire multi-trial is not complete. This option enables full recovery.

· To auto-save results only upon the completion of the entire multi-trial.

  4. Click Apply to save changes and click OK to close the Preferences dialog box.


User Defined Add-Ins

Keysight N5411B SATA6G Compliance Test Application Online Help

User-Defined Add-Ins

If there are measurements you would like the compliance test application to make that are not currently included in its test list, you can use the Keysight N5467A User Defined Application (UDA) tool to design and deploy an "add-in", or package of tests that can be imported into existing compliance applications. Please see the UDA documentation for information on how to create an add-in.

See Also

  • To install an add-in

  • To remove an add-in


To install an add-in

User-Defined Add-Ins

To install an add-in

  1. From the SATA6G Compliance Test Application's main menu, click File>User Defined:

The application prompts for the location of the add-in's installer (created by the N5467B UDA tool):

  2. Click the Open button, a prompt appears prior to the installation of add-in:

[Caution]

If your project has unsaved test results, click Cancel and save the project before retrying.

  3. Click OK after saving any existing test results, the add-in is installed and the SATA6G Compliance Test Application relaunches automatically.

  4. Once the application launches again, the following prompt appears. Click OK.

Add-in tests are only visible in Debug Mode, so when there is an active add-in installed, the test application will start up in this mode.

In the Debug mode, add-in tests are displayed in their own test group under the Select Tests tab. You may select these tests to see the description in the area below.

As a result of installing add-ins, under the Configure tab, by default, Debug is selected in the Mode: area.

If you switch to the Compliance mode at this stage, the following prompt appears:

  5. To view the add-in tests under the Select Tests tab, click Cancel. To hide the add-in tests from the Select Tests tab, click OK and the Configure tab displays Configure mode options.


To remove an add-in

User-Defined Add-Ins

To remove an add-in

  1. From the SATA6G Compliance Test Application's main menu, click File>User Defined>Uninstall Add-In...:

The application displays the following prompt before you uninstall the add-in. Click OK if you wish to uninstall the add-in.

[Caution]

If your project has unsaved test results, choose Cancel and save the project before retrying.

When you click OK after saving any existing test results, the SATA6G Compliance Test Application restarts and the add-in is uninstalled.


Controlling the Application via a Remote PC

Keysight N5411B SATA6G Compliance Test Application Online Help

Controlling the Application via a Remote PC

If the App Remote license option is installed (for the N5452A remote interface) on the oscilloscope, the SATA6G Compliance Test Application's Preference dialog contains a Remote tab, which allows you to enable the remote interface and configure the remote options.

Using the N5452A remote interface, you can control Infiniium compliance applications from a remote PC. While the remote interface has ready-to-run executable features available, you may also create custom programs using the .NET 2.0 programming language or the National Instruments' LabVIEW 8.5 graphical programming environment.

With the remote interface, you can:

· Launch and close the applications

· Configure options

· Run tests

· Obtain results

· Control display options & preferences

· Save and load projects

For more information on the remote interface, see the N5452A Remote Interface for Infiniium Compliance Applications on the Keysight web site.

See Also

· To check for the App Remote license

· To identify the remote interface version

· To enable the remote interface

· To enable remote interface hints

Next

· Using a Second Monitor


To check for the App Remote license

Controlling the Application via a Remote PC

To check for the App Remote license

  1. From the Infiniium Oscilloscope's main menu, choose Help>About Infiniium.

  2. In the license set, check for the App Remote license.


To identify the remote interface version

Controlling the Application via a Remote PC

To identify the remote interface version

  1. From the SATA6G Compliance Test Application's main menu, click Help>About....

  2. In the About dialog, the remote interface version is listed above the Add-In Interface version information.


To enable the remote interface

Controlling the Application via a Remote PC

To enable the remote interface

  1. From the SATA6G Compliance Test Application's main menu, click View>Preferences....

  2. In the Preferences dialog, click the Remote tab.

  3. Select the Enable remote interface option if you require access to the application remotely.

If you perform the tests with the application's user interface and want to ensure that there is no interference from other remote users, deselect the Enable remote interface option to disable remote interface.

  4. Click Apply to save the changes and click OK to close the Preferences dialog.


To enable remote interface hints

Controlling the Application via a Remote PC

To enable remote interface hints

  1. From the SATA6G Compliance Test Application's main menu, click View>Preferences....

  2. In the Preferences dialog, click the Remote tab.

  3. In the Remote Options section, select the Show remote interface hints in language: check box.

When you select this option:

· Select the remote programming language described in the tips.

· Tooltips related to the remote interface commands appear when you click the toolbar.

· Various controls in the tabs will have a context menu item added as "Remote interface hint...".

· The Select Tests and Configure tabs will display a remote hint in their description panes at the bottom of the screen, when an item is selected.

  4. Click Apply to save the changes and click OK to close the Preferences dialog.


Calibrating the Oscilloscope

Keysight N5411B SATA6G Compliance Test Application Online Help

Calibrating the Oscilloscope

This section describes oscilloscope calibration procedures.

· Channel-to-Channel De-skew


Channel-to-Channel De-skew

Note

For Infiniium 90000 X-Series, S-Series, V-Series and Z-Series oscilloscopes, you must manually enable the Aux Output:

  1. From the oscilloscope's main menu, choose Utilities>Calibration Output....

  2. In the Calibration Output dialog, select the Aux Out Enable check-box.

This procedure ensures that the timing skew errors between Channel 1 and Channel 3 are minimized. In addition to the required equipment, you need:

  • SMA T-adapter.

  • Additional BNC to SMA male adapter (two precision 3.5 mm BNC to SMA male adapters are provided with the oscilloscope).

To perform the Channel-to-Channel de-skew:

· Connect the Channel 1 and Channel 3 SMA cables to the oscilloscope's Aux Out:

  1. Leave the RG-316 cables and SMA adapters on Channel 1 and Channel 3.

  2. Install a BNC to SMA male adapter on the oscilloscope Aux Out.

  3. Connect the middle branch of the SMA T-adapter to the SMA adapter on the Aux Out BNC.

  4. Connect the far end of the cable from the Channel 1 SMA adapter, to one branch of the SMA T-adapter on the Aux Out.

  5. Connect the far end of the cable from the Channel 3 SMA adapter, to the other branch of the SMA T-adapter on the Aux Out.

· Set up the oscilloscope:

  1. From the oscilloscope's main menu, choose File>Open>Setup....

  2. In the Open Setup File dialog, select the "INF_SMA_Deskew.set" setup file, and click Open.

· If the setup file is not available, it can be created by following the instructions in INF_SMA_Deskew.set Setup File Details.

  1. Observe the Channel-to-Channel skew.

· The oscilloscope display should look similar to the picture below. A falling edge of the square wave is shown in a 200 ps/div horizontal scale. The upper portion of the screen shows Channel 1 (yellow trace) and Channel 3 (purple trace) superimposed on one another. The lower portion of the screen is the differential signal (green trace) of Channel 1 minus Channel 3. The top two traces provide for visual inspection of relative time skew between the two Channels. The bottom trace provides for visual presentation of unwanted differential mode signal resulted from relative Channel skew (and to a much lesser extent from other inevitable Channel mismatch parameters like gain and non-linearity). The picture below is an example of exaggerated skew between Channel 1 and Channel 3, measured to be about 50 ps with the cursor.

· The following picture shows the desired effect of no skew between the cables. Note that the Channel 1 (yellow trace), Channel 3 (purple trace) traces overlap, and the differential signal (green trace) is flat. If this is not the case, then perform the following steps to reduce the skew between Channels 1 and 3.

  2. De-skew the Channels:

· Choose Setup>Channel 3....

· Move the Channel Setup dialog to the left so you can see the traces.

· Adjust the Skew (by clicking on the < or > arrows) to achieve the flattest response on the differential signal (blue trace).

· Click Close to close the Channel Setup dialog.

  3. Disconnect the cables from the T-adapter on the Aux Out BNC. Leave the cables connected to the Channel 1 and Channel 3 inputs.

Note

Each cable is now calibrated for the oscilloscope Channel it is connected to. Do not switch cables between Channels or other oscilloscopes, or it will be necessary to calibrate them again. It is recommended that the cables be labeled with the Channel they were calibrated for.


INF_SMA_Deskew.set Setup File Details

Channel-to-Channel De-skew

INF_SMA_Deskew.set Setup File Details

Note

For Infiniium 90000 X-Series, S-Series, V-Series and Z-Series oscilloscopes, you must manually enable the Aux Output:

  1. From the oscilloscope's main menu, choose Utilities>Calibration Output....

  2. In the Calibration Output dialog, select the Aux Out Enable check-box.

If the INF_SMA_Deskew.set file is not available, you can create it by following these instructions.

  1. Start from a default setup by pressing the Default Setup key on the front panel. Then, configure the following settings:

Oscilloscope Features | Configuration values
Acquisition: | Averaging on, number of averages 16, Interpolation on.
Channel 1: | Scale 100.0 mV/, Offset −350 mV, Coupling DC, Impedance 50 Ohms.
Channel 3: | Turn Channel On; Scale 100.0 mV/, Offset −350 mV, Coupling DC, Impedance 50 Ohms.
Time base: | Scale 200 ps/div.
Trigger: | Trigger level −173 mV, Slope falling.
Function 2: | Turn on and configure for channel 1 subtract channel 3, Vertical scale 50 mV/, Offset 100.000 mV.

  2. From the oscilloscope's main menu, choose File>Save>Setup..., enter the file name "INF_SMA_Deskew.set", and click Save.


Using a Second Monitor

Keysight N5411B SATA6G Compliance Test Application Online Help

Using a Second Monitor

You may use a second monitor to display the SATA6G Compliance Test Application, allowing you to view the oscilloscope while using the application. If required, connect the second monitor to the video port labeled Second Monitor on the rear panel of the Oscilloscope. Do not connect the second monitor to the port labeled VGA.

Note

The VGA output only displays the screen of the oscilloscope on the external monitor.

Before starting the SATA6G Compliance Test Application, ensure that the second monitor is configured properly:

  1. Exit the oscilloscope application and click the Windows Start menu button.

  2. Select the Control Panel menu item.

  3. Select Appearance and Personalization.

  4. Under Display, click Connect to an external display.

  5. Select the second monitor in the Display: drop-down. The recommended screen resolution changes accordingly.

If you wish to select a screen resolution, which is different than the recommended setting, click the drop-down for Resolution: and select an option.

  6. In the Multiple displays: drop-down, select Extend these displays to be able to move the mouse pointer on the oscilloscope screen to the second monitor's display.

To stop using the second monitor, select the Show desktop only on 1 control from the Multiple displays: drop-down.

  7. Click Apply to save these changes and click OK to close the Screen Resolution dialog box.

See Also

· SATA6G Compliance Test Application—At a Glance


Restricted Rights Legend

Keysight N5411B SATA6G Compliance Test Application Online Help

Restricted Rights Legend

If software is for use in the performance of a U.S. Government prime contract or subcontract, Software is delivered and licensed as "Commercial computer software" as defined in DFAR 252.227-7014 (June 1995), or as a "commercial item" as defined in FAR 2.101(a) or as "Restricted computer software" as defined in FAR 52.227-19 (June 1987) or any equivalent agency regulation or contract clause. Use, duplication or disclosure of Software is subject to Keysight Technologies' standard commercial license terms, and non-DOD Departments and Agencies of the U.S. Government will receive no greater than Restricted Rights as defined in FAR 52.227-19(c)(1-2) (June 1987). U.S. Government users will receive no greater than Limited Rights as defined in FAR 52.227-14 (June 1987) or DFAR 252.227-7015 (b)(2) (November 1995), as applicable in any technical data.


Safety Notices

Keysight N5411B SATA6G Compliance Test Application Online Help

Safety Notices

[Caution]

A CAUTION notice denotes a hazard. It calls attention to an operating procedure, practice, or the like that, if not correctly performed or adhered to, could result in damage to the product or loss of important data. Do not proceed beyond a CAUTION notice until the indicated conditions are fully understood and met.

[Warning]

A WARNING notice denotes a hazard. It calls attention to an operating procedure, practice, or the like that, if not correctly performed or adhered to, could result in personal injury or death. Do not proceed beyond a WARNING notice until the indicated conditions are fully understood and met.


Technology License

Keysight N5411B SATA6G Compliance Test Application Online Help

Technology License

The hardware and/or software described in this document are furnished under a license and may be used or copied only in accordance with the terms of such license.


Trademarks

Keysight N5411B SATA6G Compliance Test Application Online Help

Trademarks

Adobe®, Acrobat®, and the Acrobat Logo® are trademarks of Adobe Systems Incorporated.

All other marks are the property of their respective owners.


Warranty

Keysight N5411B SATA6G Compliance Test Application Online Help

Warranty

The material contained in this document is provided "as is," and is subject to being changed, without notice, in future editions. Further, to the maximum extent permitted by applicable law, Keysight disclaims all warranties, either express or implied, with regard to this manual and any information contained herein, including but not limited to the implied warranties of merchantability and fitness for a particular purpose. Keysight shall not be liable for errors or for incidental or consequential damages in connection with the furnishing, use, or performance of this document or of any information contained herein. Should Keysight and the user have a separate written agreement with warranty terms covering the material in this document that conflict with these terms, the warranty terms in the separate agreement shall control.